TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.ConnectionFactoryInfo Class Reference

A ConnectionFactoryInfo object represents a configured ConnectionFactory that can be retrieved by an EMS client through the built in JNDI implementation. This class is used to create and alter the properties of the ConnectionFactory. More...

## Public Member Functions
| ConnectionFactoryInfo (string url, string clientID, DestinationType type, System.Collections.Hashtable sslParams)
| Creates ConnectionFactoryInfo. More...
| ConnectionFactoryInfo (string url, string clientID, DestinationType type, bool xa, System.Collections.Hashtable sslParams)
| Creates ConnectionFactoryInfo. More...
override string | ToString ()
| Generate a string representation of this ConnectionFactoryInfo. More...

## Properties
string[] | JNDINames`[get]`
| Return the array of names that this factory is bound to in the default JNDI. More...
string | URL`[get, set]`
| Get or set the URL for this factory. More...
string | ClientID`[get, set]`
| Get or set the clientID for this factory. More...
System.Collections.Hashtable | SSLParams`[get, set]`
| Get the SSL parameters for this factory. More...
DestinationType | DestinationType`[get, set]`
| Get or set the destination type for this factory. More...
bool | XAType`[get, set]`
| Get or change whether or not the factory is an XA factory. More...
bool | LoadBalanced`[get]`
| Indicates whether or not the connection factory is load balanced. More...
Metric | Metric`[get, set]`
| Get or set the metric used for load balancing. More...
int | ConnectAttemptCount`[get, set]`
| Get or set the connect_attempt_count for this factory. More...
int | ConnectAttemptDelay`[get, set]`
| Get or set the connect_attempt_delay for this factory. More...
int | ConnectAttemptTimeout`[get, set]`
| Get or set the connect_attempt_timeout for this factory. More...
int | ReconnectAttemptCount`[get, set]`
| Get or set the reconnect_attempt_count for this factory. More...
int | ReconnectAttemptDelay`[get, set]`
| Get or set the reconnect_attempt_delay for this factory. More...
int | ReconnectAttemptTimeout`[get, set]`
| Get or set the reconnect_attempt_timeout for this factory. More...
bool | MulticastEnabled`[get, set]`
| Get or set whether the factory is multicast-enabled. More...
string | MulticastDaemon`[get, set]`
| Get or set the multicast daemon port for the factory. More...

## Detailed Description

A ConnectionFactoryInfo object represents a configured ConnectionFactory that can be retrieved by an EMS client through the built in JNDI implementation. This class is used to create and alter the properties of the ConnectionFactory.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.ConnectionFactoryInfo.ConnectionFactoryInfo | ( | string | url,
|  | string | clientID,
|  | DestinationType | type,
|  | System.Collections.Hashtable | sslParams
| ) |  |
| inline

Creates ConnectionFactoryInfo.

The ConnectionFactory is not created on the server until Admin.CreateConnectionFactory() is called.

Parameters

  url | The server URL for the factory.
  clientID | The clientID for the connection created by this factory.
  type | Factory type. Can be DestinationType.Queue, DestinationType.Topic or DestinationType.All where latter creates a generic connection factory.
  sslParams | The SSL parameters for the connections created with this factory (can be null).

TIBCO.EMS.ADMIN.ConnectionFactoryInfo.ConnectionFactoryInfo | ( | string | url,
|  | string | clientID,
|  | DestinationType | type,
|  | bool | xa,
|  | System.Collections.Hashtable | sslParams
| ) |  |
| inline

Creates ConnectionFactoryInfo.

The ConnectionFactory is not created on the server until Admin.createConnectionFactory() is called.

Parameters

  url | The server URL for the factory.
  clientID | The clientID for the connection created by this factory.
  type | Factory type. Can be DestinationType.Queue, DestinationType.Topic or DestinationType.All where latter creates a generic connection factory.
  xa | XA type. Set to true if this is an XA connection factory.
  sslParams | The SSL parameters for the connections created with this factory (can be null).

## Member Function Documentation

override string TIBCO.EMS.ADMIN.ConnectionFactoryInfo.ToString | ( |  | ) |
| inline

Generate a string representation of this ConnectionFactoryInfo.

Returns
  a string representation of this ConnectionFactoryInfo.

## Property Documentation

string TIBCO.EMS.ADMIN.ConnectionFactoryInfo.ClientID
| get set

Get or set the clientID for this factory.

Returns
  the clientID for this factory.

int TIBCO.EMS.ADMIN.ConnectionFactoryInfo.ConnectAttemptCount
| get set

Get or set the connect_attempt_count for this factory.

Returns
  the connect_attempt_count for this factory.

int TIBCO.EMS.ADMIN.ConnectionFactoryInfo.ConnectAttemptDelay
| get set

Get or set the connect_attempt_delay for this factory.

Returns
  the connect_attempt_delay for this factory.

int TIBCO.EMS.ADMIN.ConnectionFactoryInfo.ConnectAttemptTimeout
| get set

Get or set the connect_attempt_timeout for this factory.

Returns
  the connect_attempt_timeout for this factory.

DestinationType TIBCO.EMS.ADMIN.ConnectionFactoryInfo.DestinationType
| get set

Get or set the destination type for this factory.

Returns
  the destination type for this factory. DestinationType.Queue, DestinationType.Topic or DestinationType.All if it is a generic factory.

string [] TIBCO.EMS.ADMIN.ConnectionFactoryInfo.JNDINames
| get

Return the array of names that this factory is bound to in the default JNDI.

Returns
  the array of names for this factory.

bool TIBCO.EMS.ADMIN.ConnectionFactoryInfo.LoadBalanced
| get

Indicates whether or not the connection factory is load balanced.

Returns
  true if the factory is load balanced, false otherwise.

Metric TIBCO.EMS.ADMIN.ConnectionFactoryInfo.Metric
| get set

Get or set the metric used for load balancing.

If the factory is not load balanced the metric returned will be TIBCO.EMS.ADMIN.Metric.None. If the factory is load balanced but no metric has been set explicitly the metric returned will be the default, TIBCO.EMS.ADMIN.Metric.Connections. TIBCO.EMS.ADMIN.Metric.

Returns
  The metric. See TIBCO.EMS.ADMIN.Metric.

string TIBCO.EMS.ADMIN.ConnectionFactoryInfo.MulticastDaemon
| get set

Get or set the multicast daemon port for the factory.

Returns
  the multicast daemon port for the factory.

Deprecated:
  As of release 8.3

bool TIBCO.EMS.ADMIN.ConnectionFactoryInfo.MulticastEnabled
| get set

Get or set whether the factory is multicast-enabled.

Returns
  true if the factory is multicast-enabled, false otherwise.

Deprecated:
  As of release 8.3

int TIBCO.EMS.ADMIN.ConnectionFactoryInfo.ReconnectAttemptCount
| get set

Get or set the reconnect_attempt_count for this factory.

Returns
  the reconnect_attempt_count for this factory.

int TIBCO.EMS.ADMIN.ConnectionFactoryInfo.ReconnectAttemptDelay
| get set

Get or set the reconnect_attempt_delay for this factory.

Returns
  the reconnect_attempt_delay for this factory.

int TIBCO.EMS.ADMIN.ConnectionFactoryInfo.ReconnectAttemptTimeout
| get set

Get or set the reconnect_attempt_timeout for this factory.

Returns
  the reconnect_attempt_timeout for this factory.

System.Collections.Hashtable TIBCO.EMS.ADMIN.ConnectionFactoryInfo.SSLParams
| get set

Get the SSL parameters for this factory.

Returns
  the SSL parameters for this factory or null if none exist.

string TIBCO.EMS.ADMIN.ConnectionFactoryInfo.URL
| get set

Get or set the URL for this factory.

Returns
  the URL for this factory.

bool TIBCO.EMS.ADMIN.ConnectionFactoryInfo.XAType
| get set

Get or change whether or not the factory is an XA factory.

Returns
  true if this is XA factory, false otherwise.